/**
 * @Author: Echo
 * @Email:1711788888@qq.com
 * @Date: 2021/8/28 1:14 上午
 * @Desc: TODO
 */

package enum

const (
	// 消息类型
	MsgText     = "TIMTextElem"      // 消息元素
	MsgLocation = "TIMLocationElem"  // 地理位置消息元素
	MsgFace     = "TIMFaceElem"      // 表情消息元素
	MsgCustom   = "TIMCustomElem"    // 自定义消息元素
	MsgSound    = "TIMSoundElem"     // 语音消息元素
	MsgImage    = "TIMImageElem"     // 图像消息元素
	MsgFile     = "TIMFileElem"      // 文件消息元素
	MsgVideo    = "TIMVideoFileElem" // 视频消息元素

	// 图片格式
	ImageFormatJPG   = 1   // JPG格式
	ImageFormatGIF   = 2   // GIF格式
	ImageFormatPNG   = 3   // PNG格式
	ImageFormatBMP   = 4   // BMP格式
	ImageFormatOTHER = 255 // 其他格式

	// 图片类型
	ImageTypeOriginal = 1 // 原图
	ImageTypePic      = 2 // 大图
	ImageTypeThumb    = 3 // 缩略图

	// 标准资料字段
	StandardAttrNickname        = "Tag_Profile_IM_Nick"            // 昵称
	StandardAttrGender          = "Tag_Profile_IM_Gender"          // 性别
	StandardAttrBirthday        = "Tag_Profile_IM_BirthDay"        // 生日
	StandardAttrLocation        = "Tag_Profile_IM_Location"        // 所在地
	StandardAttrSignature       = "Tag_Profile_IM_SelfSignature"   // 个性签名
	StandardAttrAllowType       = "Tag_Profile_IM_AllowType"       // 加好友验证方式
	StandardAttrLanguage        = "Tag_Profile_IM_Language"        // 语言
	StandardAttrAvatar          = "Tag_Profile_IM_Image"           // 头像URL
	StandardAttrMsgSettings     = "Tag_Profile_IM_MsgSettings"     // 消息设置
	StandardAttrAdminForbidType = "Tag_Profile_IM_AdminForbidType" // 管理员禁止加好友标识
	StandardAttrLevel           = "Tag_Profile_IM_Level"           // 等级
	StandardAttrRole            = "Tag_Profile_IM_Role"            // 角色

	// 自定义属性前缀
	CustomAttrPrefix = "Tag_Profile_Custom" // 自定义属性前缀

)
